<?php

if (!defined('TYPO3_MODE')) {
    die ('Access denied.');
}

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
    'CodingMs.FluidFpdf',
    'Pdf',
    [
        'Pdf' => 'show',
    ],
    // non-cacheable actions
    [
        'Pdf' => 'show',
    ]
);

/** @var \TYPO3\CMS\Extbase\SignalSlot\Dispatcher $signalSlotDispatcher */
$signalSlotDispatcher = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance(\TYPO3\CMS\Extbase\SignalSlot\Dispatcher::class);
$signalSlotDispatcher->connect(
    FluidFpdf::class, 'footer',
    \CodingMs\FluidFpdf\Service\FooterService::class, 'write'
);

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig('<INCLUDE_TYPOSCRIPT: source="FILE:EXT:fluid_fpdf/Configuration/PageTS/tsconfig.txt">');